org.eclipse.microprofile.openapi.apps.petstore.data

## Class UserData

- java.lang.Object
- - org.eclipse.microprofile.openapi.apps.petstore.data.UserData

    public class UserData
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`UserData()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addUser(User user)`
`User` `findUserByName(String username)`
`boolean` `removeUser(String username)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UserData

    public UserData()

### Method Detail

#### findUserByName

    public User findUserByName(String username)

#### addUser

    public void addUser(User user)

#### removeUser

    public boolean removeUser(String username)